CVE-2018-12539

In Eclipse OpenJ9 version 0.8, users other than the process owner may be able to use Java Attach API to connect to an Eclipse OpenJ9 or IBM JVM on the same machine and use Attach API operations, which includes the ability to execute untrusted native code. Attach API is enabled by default on Windows, Linux and AIX JVMs and can be disabled using the command line option -Dcom.ibm.tools.attach.enable=no.

Published : 2018-08-14 19:29 Updated : 2019-10-09 23:34

4.6
CVSS Score More info
Score 4.6 / 10
4.6
Vendor Product Version URI
Eclipse Openj9 0.8 cpe:/a:eclipse:openj9:0.8
Oracle Enterprise Manager Base Platform 13.2.0.0.0 cpe:/a:oracle:enterprise_manager_base_platform:13.2.0.0.0
Oracle Enterprise Manager Base Platform 13.3.0.0.0 cpe:/a:oracle:enterprise_manager_base_platform:13.3.0.0.0
  1. Oracle (1) Search CVE
    1. Enterprise Manager Base Platform (2) Search CVE
      1. 13.2.0.0.0
      2. 13.3.0.0.0
  2. Eclipse (1) Search CVE
    1. Openj9 (1) Search CVE
      1. 0.8

CWE

ID Name Description Links
CWE-502 Deserialization of Untrusted Data The application deserializes untrusted data without sufficiently verifying that the resulting data will be valid. CVE

History of changes

Date Event
2019-05-10 18:35
2019-04-23 19:31
2018-10-18 21:05
2018-10-02 10:29
2018-09-18 10:29
2018-08-29 10:29
2018-08-28 10:29
2018-08-23 10:29
2018-08-14 19:29

New CVE